Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.tag
Class PortletTagHandler

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          org.jboss.portal.theme.tag.PortletTagHandler

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

    public class PortletTagHandler

extends javax.servlet.jsp.tagext.SimpleTagSupport

Tag handler for the portlet tag.

This tag adds the created markup of a Portlet to a page. The portlet tag utilizes a render set to create the markup around the portlet. The render set takes care of the portlet window, hence it creates the markup for the title, and the mode and state links. This tag does not initiate the call to the portlet container, but rather is ment to assist in laying out the rendered markup, after it is generated by the portlet. (place the already rendered markup of portlet x here....)

Version:
  `$Revision: 8784 $`
Author:
  Martin Holzner.
See Also:
  `PortalRenderSet`

Constructor Summary
`PortletTagHandler()`

Method Summary
`void` | `doTag()` create the markup of this tag
`java.lang.String` | `getWindowName()`
`void` | `setWindowName(java.lang.String portletWindowName)`

Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
`findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletTagHandler

    public PortletTagHandler()

Method Detail

### doTag

    public void doTag()
               throws javax.servlet.jsp.JspException,
                      java.io.IOException

  create the markup of this tag

  Get a render set from the renderer factory, and call the window renderer to generate the root container for this Portlet's markup. The window renderer then delegates to the decoration renderer and the portlet renderer to create the markup for the title and the mode and state links, and to add the Portlet's markup.

  Specified by:
    `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
  Overrides:
    `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`
    `java.io.IOException`
  See Also:
    `PortalRenderSet.getWindowRenderer()`, `WindowRenderer.render(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.WindowRendererContext)`, `PortletRenderer.render(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.PortletRendererContext)`, `DecorationRenderer.render(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.DecorationRendererContext)`

### getWindowName

    public java.lang.String getWindowName()

### setWindowName

    public void setWindowName(java.lang.String portletWindowName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD